Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.cache.lru
Class CacheEntry

    java.lang.Object
      org.richfaces.cache.lru.CacheEntry

All Implemented Interfaces:
  java.lang.Comparable<CacheEntry>

    public final class CacheEntry

extends java.lang.Object
implements java.lang.Comparable<CacheEntry>

User: akolonitsky Date: Oct 13, 2009

Constructor Summary
`CacheEntry(java.lang.Object key, java.lang.Object value, java.util.Date expired)`

Method Summary
`int` | `compareTo(CacheEntry o)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Date` | `getExpired()`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`boolean` | `isExpired()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheEntry

    public CacheEntry(java.lang.Object key,
                      java.lang.Object value,
                      java.util.Date expired)

Method Detail

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### isExpired

    public boolean isExpired()

### getExpired

    public java.util.Date getExpired()

### compareTo

    public int compareTo(CacheEntry o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CacheEntry>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.